# Deprecated Interface for Local (sliding window) MFE Prediction

  Functions

  float Lfold(const char *string, const char *structure, int maxdist)
    #include <ViennaRNA/Lfold.h>

    The local analog to fold().

    Computes the minimum free energy structure including only base pairs with a span smaller than ‘maxdist’

    Deprecated:

      Use vrna_mfe_window() instead!

  float Lfoldz(const char *string, const char *structure, int maxdist, int zsc, double min_z)
    #include <ViennaRNA/Lfold.h>

    Deprecated:

      Use vrna_mfe_window_zscore() instead!

  float aliLfold(const char **AS, const char *structure, int maxdist)
    #include <ViennaRNA/Lfold.h>
  float aliLfold_cb(const char **AS, int maxdist, vrna_mfe_window_f cb, void *data)
    #include <ViennaRNA/Lfold.h>